@tailwind base;
@tailwind components;
@tailwind utilities;

/* import font */
@font-face {
    font-family: 'Cairo';
    src: url('../assets/fonts/Cairo-VariableFont_slnt\,wght.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

/* Basic styles for the page */
body {
    font-family: Cairo, sans-serif;
    line-height: 1.6;
    background-color: #f4f4f9;
    color: #000424;
    overflow-x: hidden !important;
}

* {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

.dark #nav {
    background-color: rgba(26, 29, 55, 0.6);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(10px); 
}

/* يمكنك تخصيص لون الخلفية في الوضع العادي حسب احتياجك */
#nav {
    background-color: white;
    transition: all 0.5s ease !important;
}

#upToTopButton {
    transition: all 0.3s ease-in-out;
}


.dark {
    background-color: #1a1d37 !important;
    color: #fff !important;
    transition: all 0.5s ease;
}

.navbar-dark {
    background-color: #4447643f !important;
    color: #fff !important;
}

@keyframes circle {
    0% {
        transform: translate(0, -20px) rotate(0deg);
    }
    25% {
        transform: translate(0, 70px) rotate(90deg);
    }
    50% {
        transform: translate(0, 140px) rotate(180deg);
    }
    75% {
        transform: translate(0, 70px) rotate(270deg);
    }
    100% {
        transform: translate(0,-20px) rotate(360deg);
    }
}

.line-spacer {
    line-height: 8rem !important;
}

@media (max-width: 768px) {
    .line-spacer {
        line-height: 2.5rem !important;
    }
}

.animate-circle {
    animation: circle 10s linear infinite;
    opacity: 0.8;
}

.swiper-container {
    width: 100%;
}

.swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 18px;
    background: #fff;
    height: 170px;
}

.swiper-button-next,
.swiper-button-prev {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    border-radius: 50%;
    color: #000;
    border: 2px solid #ddd;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s, color 0.3s;
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
    background-color: #000;
    color: #fff;
}

.swiper-button-next::after,
.swiper-button-prev::after {
    font-size: 16px; /* تصغير حجم السهم */
}

.swiper-pagination-bullet {
    opacity: 0.7;

}

.swiper-pagination-bullet-active {
    background: #ff6b6b !important; /* لون النقاط النشطة */
}
